﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.JustMock;
using Telerik.JustMock.Helpers;

namespace JustMockGuidCollectionTest
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void ShouldAssertReturnsCollectonOnGuid()
        {
            var client = Mock.Create<OHPClientWorker>();

            Guid MyGuidi = new Guid("ccae2079-2ebc-4200-879d-866fc82e6afa");
            Guid MyGuidi2 = new Guid("ccae2079-3ebc-4200-879d-866fc82e6afa");
            IEnumerable<Guid> guids = new List<Guid> { MyGuidi, MyGuidi2 };

            // Create mock data
            Mock.Arrange(() => client.ServiceAreaWorker.GetServiceAreaUserGuids(Arg.IsAny<long>())).ReturnsCollection(guids);

            ICollection<Guid> userGuids = client.ServiceAreaWorker.GetServiceAreaUserGuids(10);

            Assert.AreEqual(MyGuidi, userGuids.First());
            Assert.AreEqual(MyGuidi2, userGuids.Last());
        }

        public class OHPClientWorker
        {
            public ServiceAreaWorker ServiceAreaWorker
            {
                get
                {
                    return null;
                }
            }
        }

        public class ServiceAreaWorker
        {
            public ICollection<Guid> GetServiceAreaUserGuids(long objectIds)
            {
                return null;
            }
        }
    }
}
